import { MACHINE_OBJECT } from '../typings/contractTypes';
/**
 * Transforms assembly code into machine code
 * @param assemblyCode string
 * @returns {MACHINE_OBJECT} with all details needed for
 * smart contract deployment.
 * @throws {Error} on any source code mistake.
 */
export default function assembler(assemblyCode: string): MACHINE_OBJECT;
