import { TOKEN, MEMORY_SLOT } from '../../typings/syntaxTypes';
import { GENCODE_AUXVARS } from '../codeGeneratorTypes';
/**
 * Create assembly intructions for binary operators or SetOperators.
 * @returns the assembly code necessary for the assignment to happen
 */
export default function operatorToAsm(AuxVars: GENCODE_AUXVARS, OperatorToken: TOKEN, LeftMem: MEMORY_SLOT, RightMem: MEMORY_SLOT): string;
