import { CONTRACT } from '../typings/contractTypes';
import { TOKEN } from '../typings/syntaxTypes';
/** Translate an array of tokens into the object representing the program.
 * This is the second phase of parser
 * @param Program Skeleton program to received processed tokens
 * @param tokenAST Array of tokens
 * @returns {void} but Program will be updated.
 * @throws {Error} at any mistakes
 */
export default function shaper(Program: CONTRACT, tokenAST: TOKEN[]): void;
