import { CONTRACT } from '../typings/contractTypes';
/**
 * Traverse Program transforming some sentences properties from arrays of
 * tokens into an actually abstract syntax tree. Check operators
 * precedence and let operations in correct order for assembler.
 * This is parser third and final pass.
 * @param Program to be processed
 * @returns {void} but Program will be updated.
 * @throws {Error} on any mistake.
 */
export default function syntaxProcessor(Program: CONTRACT): void;
