import { CONTRACT, MemoryObj } from './index';
interface T_EXT {
    funName: string;
}
interface T_EXT_FUN extends T_EXT {
    execute(ContractState: CONTRACT): boolean | null;
}
interface T_EXT_FUN_DAT extends T_EXT {
    execute(ContractState: CONTRACT, value: MemoryObj): boolean | null;
}
interface T_EXT_FUN_DAT_2 extends T_EXT {
    execute(ContractState: CONTRACT, value1: MemoryObj, value2: MemoryObj): boolean | null;
}
interface T_EXT_FUN_RET extends T_EXT {
    execute(ContractState: CONTRACT, RetVar: MemoryObj): boolean | null;
}
interface T_EXT_FUN_RET_DAT_2 extends T_EXT {
    execute(ContractState: CONTRACT, RetVar: MemoryObj, value1: MemoryObj, value2: MemoryObj): boolean | null;
}
export declare function metaDoNothing(): boolean;
export declare class API_MICROCODE {
    static readonly EXT_FUN: T_EXT_FUN[];
    static readonly EXT_FUN_DAT: T_EXT_FUN_DAT[];
    static readonly EXT_FUN_DAT_2: T_EXT_FUN_DAT_2[];
    static readonly EXT_FUN_RET: T_EXT_FUN_RET[];
    static readonly EXT_FUN_RET_DAT_2: T_EXT_FUN_RET_DAT_2[];
}
export {};
