import { SC_FUNCTION } from '../typings/contractTypes';
import { REGISTER_TYPE_DEFINITION, LONG_TYPE_DEFINITION, STRUCT_TYPE_DEFINITION, MEMORY_BASE_TYPES, MEMORY_SLOT } from '../typings/syntaxTypes';
type ObjectTypeDefinition<T> = T extends 'register' ? REGISTER_TYPE_DEFINITION : T extends 'long' ? LONG_TYPE_DEFINITION : T extends 'fixed' ? LONG_TYPE_DEFINITION : T extends 'struct' ? STRUCT_TYPE_DEFINITION : never;
export declare function getTypeDefinitionTemplate<T extends 'register' | 'long' | 'fixed' | 'struct' | 'void'>(templateType: T): ObjectTypeDefinition<T>;
export declare const autoCounterTemplate: MEMORY_SLOT;
export declare const BuiltInTemplate: SC_FUNCTION[];
export declare function getMemoryTemplate(memType: MEMORY_BASE_TYPES): MEMORY_SLOT;
export declare const fixedBaseTemplate: MEMORY_SLOT;
export declare const APITableTemplate: SC_FUNCTION[];
export declare const fixedAPITableTemplate: SC_FUNCTION[];
export {};
